Bug 134618 - FILESAVE: DOCX: Textboxes not displayed in MSO after RT
Summary: FILESAVE: DOCX: Textboxes not displayed in MSO after RT
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.0.2 target:6.4.6
Keywords: bibisected, bisected, regression
: 115161 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-07-07 14:27 UTC by Xisco Faulí
Modified: 2020-08-31 13:04 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (23.00 KB, application/msword)
2020-07-07 14:27 UTC, Xisco Faulí
Details
Comparison before and after RT in MSO (12.63 KB, image/png)
2020-07-07 14:31 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-07-07 14:27:45 UTC
Created attachment 162756 [details]
sample file

Steps to reproduce:
1. Open attached document
2. Save it as DOCX
3. Open in in MSO. (using MSO 2010 here )

-> The textboxes are not displayed in MSO. They are in LibreOffice. See comparison image

Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 9af38b4504ccda57a0c32eb8bdd03e5a8ca29ddc
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2020-07-07 14:31:22 UTC
Created attachment 162757 [details]
Comparison before and after RT in MSO
Comment 3 Commit Notification 2020-07-13 09:25:22 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4e0aa38afd674f5ad16b4bc3222dc393543ad915

tdf#134618 sw: WW8 import: don't insert fieldmark for SHAPE field

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-07-13 09:25:32 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7b156d37cfc92292323694ec064fe51ae57b3257

tdf#134618 sw: DOCX export: fix order of as-char and at-char fly...

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-07-14 14:50:35 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/0db72dda395a1ee3b7e45ba2c5d5be1457389c29

tdf#134618 sw: WW8 import: don't insert fieldmark for SHAPE field

It will be available in 7.0.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-07-14 14:51:45 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/6715ba7af16b7ada2ee031f98f442c48c948a907

tdf#134618 sw: DOCX export: fix order of as-char and at-char fly...

It will be available in 7.0.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2020-07-15 22:12:02 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: d851a02df57ab378ed0cc6d9362516de09c3279c
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!!
Comment 8 Commit Notification 2020-07-16 08:30:53 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/d449d92b8f1b8c6b572acfd80efe42a875059faf

tdf#134618 sw: DOCX export: fix order of as-char and at-char fly...

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-07-16 08:33:03 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/84694f256560bd28287f9f3a4e13800b6ff6d1ba

tdf#134618 sw: WW8 import: don't insert fieldmark for SHAPE field

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-07-16 08:48:19 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f510f6a0b339522b0146d26630b139e0421a3657

tdf#134618: sw_ooxmlexport12: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 NISZ LibreOffice Team 2020-08-31 13:04:54 UTC
*** Bug 115161 has been marked as a duplicate of this bug. ***